aboutsummaryrefslogtreecommitdiffstats
path: root/packaging/macosx
diff options
context:
space:
mode:
authorGerald Combs <gerald@wireshark.org>2013-10-15 23:03:48 +0000
committerGerald Combs <gerald@wireshark.org>2013-10-15 23:03:48 +0000
commitc4dcd0ca24f811d5cdf43198f045c24657cbbe1a (patch)
treea5b4f8a49c47fb3e8d595cf8b0acffb113eb5380 /packaging/macosx
parentfb9d4296bea5edee36136dbae7bb36dc6fb2283d (diff)
If CODE_SIGN_IDENTITY is set use it to sign the app bundle and the
installer package. Add commented-out code to sign the .dmg as well in case Apple supports that in the future. svn path=/trunk/; revision=52633
Diffstat (limited to 'packaging/macosx')
-rwxr-xr-xpackaging/macosx/osx-app.sh6
-rwxr-xr-xpackaging/macosx/osx-dmg.sh.in12
2 files changed, 18 insertions, 0 deletions
diff --git a/packaging/macosx/osx-app.sh b/packaging/macosx/osx-app.sh
index a5a84eaecd..dc55bef916 100755
--- a/packaging/macosx/osx-app.sh
+++ b/packaging/macosx/osx-app.sh
@@ -579,4 +579,10 @@ else
fi
+if [ -n "$CODE_SIGN_IDENTITY" ] ; then
+ echo -e "Signing $package"
+ codesign --sign "$CODE_SIGN_IDENTITY" --verbose "$package" || exit 1
+ codesign --verify --verbose "$package" || exit 1
+fi
+
exit 0
diff --git a/packaging/macosx/osx-dmg.sh.in b/packaging/macosx/osx-dmg.sh.in
index ec36dc1971..920b6dab6c 100755
--- a/packaging/macosx/osx-dmg.sh.in
+++ b/packaging/macosx/osx-dmg.sh.in
@@ -155,6 +155,12 @@ packagemaker --doc "Wireshark_package.pmdoc" \
--version "$version" \
--verbose || exit 1
+if [ -n "$CODE_SIGN_IDENTITY" ] ; then
+ echo -e "Signing the $pkg_file"
+ codesign --sign "$CODE_SIGN_IDENTITY" --verbose "$pkg_file" || exit 1
+ codesign --verify --verbose "$pkg_file" || exit 1
+fi
+
echo -e "\nCREATE WIRESHARK DISK IMAGE\n"
img_name="$pkg_title.dmg"
@@ -245,4 +251,10 @@ fi
/usr/bin/hdiutil convert "$rw_name" -format UDZO -imagekey zlib-level=9 -o "$img_name" || exit 1
rm -f "$rw_name"
+#if [ -n "$CODE_SIGN_IDENTITY" ] ; then
+# echo -e "Signing the $img_name"
+# codesign --sign "$CODE_SIGN_IDENTITY" --verbose "$img_name" || exit 1
+# codesign --verify --verbose "$img_name" || exit 1
+#fi
+
exit 0